Skip to main content
GET
https://finsync.ar
/
api
/
operations
Get operations with transaction details
curl --request GET \
  --url https://finsync.ar/api/operations \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "operation_id": 123,
      "company_id": 123,
      "operation_description": "<string>",
      "operation_type_name": "<string>",
      "operation_type": "up",
      "operation_created_at": "2023-11-07T05:31:56Z",
      "total_transactions": 123,
      "total_credito_amount": 123,
      "total_debito_amount": 123,
      "trx": [
        {
          "transaction_id": 123,
          "amount": 123,
          "status": "pending",
          "transaction_type": "credit",
          "account_name": "<string>",
          "currency_name": "<string>",
          "client_name": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "page": 123,
    "pageSize": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

dateFrom
string<date>

Start date for filtering operations (defaults to yesterday)

dateTo
string<date>

End date for filtering operations (defaults to today)

page
integer
default:1

Page number for pagination

pageSize
integer
default:10

Number of items per page (max 100)

Required range: x <= 100
operationType
enum<string>

Filter by operation type

Available options:
up,
down,
other,
exchange,
budget,
interest
status
enum<string>

Filter by transaction status

Available options:
pending,
completed,
adjusted

Response

Paginated list of operations with transaction details

data
object[]
pagination
object